package com.ruoyi.book.domain;

import java.math.BigDecimal;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.AllArgsConstructor;
import lombok.experimental.SuperBuilder;
import io.swagger.annotations.*;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 书籍信息对象 book_info
 *
 * @author DongZeLiang
 * @date 2023-10-10
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
@TableName("book_info")
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "BookInfo", description = "书籍信息")
public class BookInfo extends BaseEntity {

    private static final long serialVersionUID = 1L;

    /** 主键 */
    @TableId(value = "id",type = IdType.AUTO)
    @ApiModelProperty(name = "${comment}")
    private Long id;

    /** 名称 */
    @Excel(name = "名称")
    @ApiModelProperty(name = "名称")
    private String name;

    /** 价格 */
    @Excel(name = "价格")
    @ApiModelProperty(name = "价格")
    private BigDecimal price;

}
